# List manifests

Endpoint: GET /v1/domains/{domainId}/accounts/{accountId}/manifests
Security: httpAuth

## Security:

  - `httpAuth` (unknown)
    http bearer

## Path parameters:

  - `domainId` (string, required)
    Unique identifier for the domain.

  - `accountId` (string, required)

## Query parameters:

  - `limit` (integer)
    The number of entities to return.

  - `startingAfter` (string)
    Entity id used to the determine beginning of query results.

  - `sortBy` (string)
    Property name used to sort the query results.

  - `sortOrder` (string)
    Sort order applied to the query results.

  - `metadata.createdBy` (string)
    Return entities that were created by matching user.

  - `metadata.lastModifiedBy` (string)
    Return entities that were last modified by matching user.

  - `content.type` (array)
    Return entities filtered by manifest content type.

  - `metadata.description` (string)
    Return entities with descriptions that contains or equals to provided description.

  - `metadata.customProperties` (array)
    Return entities that contains provided custom properties.

  - `additionalDetails.processingStatus` (string)
    Return entities matching given processing status.

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.data` (object, required)

  - `items.data.id` (string, required)

  - `items.data.domainId` (string, required)

  - `items.data.accountId` (string, required)

  - `items.data.ledgerId` (string)

  - `items.data.address` (string)

  - `items.data.content` (any, required)

  - `items.data.content.value` (string, required)

  - `items.data.content.type` (string, required)
    Enum: "EIP-191", "JWT", "Unsafe"

  - `items.data.content.header` (object, required)

  - `items.data.content.header.type` (string)

  - `items.data.content.header.algorithm` (string)

  - `items.data.content.header.additionalParameters` (object)

  - `items.data.content.payload` (object, required)

  - `items.data.content.payload.issuer` (string)

  - `items.data.content.payload.subject` (string)

  - `items.data.content.payload.audience` (string)

  - `items.data.content.payload.expiration` (integer)

  - `items.data.content.payload.notBefore` (integer)

  - `items.data.content.payload.issuedAt` (integer)

  - `items.data.content.payload.jwtId` (string)

  - `items.data.value` (any)

  - `items.data.value.value` (string, required)

  - `items.data.value.type` (string, required)
    Enum: "EIP-191", "JWT", "Unsafe"

  - `items.data.value.signature` (string, required)

  - `items.data.value.recoveryId` (string)

  - `items.data.metadata` (object, required)

  - `items.data.metadata.description` (string)

  - `items.data.metadata.revision` (integer, required)

  - `items.data.metadata.createdAt` (string, required)

  - `items.data.metadata.createdBy` (object)

  - `items.data.metadata.createdBy.id` (string, required)

  - `items.data.metadata.createdBy.domainId` (string, required)

  - `items.data.metadata.lastModifiedAt` (string, required)

  - `items.signature` (string, required)

  - `items.signingKey` (string, required)

  - `items.additionalDetails` (object)

  - `items.additionalDetails.processing` (any, required)

  - `items.additionalDetails.processing.type` (string, required)
    Enum: "Completed", "Failed", "Pending", "Preparing"

  - `count` (integer, required)

  - `currentStartingAfter` (string)

  - `nextStartingAfter` (string)

## Response 400:

  - `400` (unknown)
    One of: Domain locked (DomainLockedError); Requester locked (RequesterLockedError)

## Response 400 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

## Response 401:

  - `401` (unknown)
    One of: Invalid JWT (InvalidJwtError); User not authorized (PermissionDeniedError)

## Response 401 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

## Response 404:

  - `404` (unknown)
    Entity or Domain not found (EntityNotFoundError)

## Response 404 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

